Page MenuHomePhabricator

Sections become uneditable if multiple sections are copied from source without immediate edits
Closed, ResolvedPublic1 Story Points

Description

Observed: If multiple sections of an article being translated are copied and not immediately edited then only the last copied section is editable.

Steps to reproduce:

  1. Begin a new translation (I used the article CNN to translate from Simple English to Bengali)
  2. Copy the first 3 sections without making any edits (includes an image of the logo)
  3. Click on the section with text that immediately follows the logo

Result:
The cursor does not show up in that section, making it uneditable.

Event Timeline

Arrbee created this task.Aug 5 2015, 4:53 AM
Arrbee raised the priority of this task from to Needs Triage.
Arrbee updated the task description. (Show Details)
Arrbee added a project: ContentTranslation.
Arrbee added a subscriber: Arrbee.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 4:53 AM
KartikMistry triaged this task as High priority.Aug 5 2015, 5:37 AM
KartikMistry set Security to None.

Change 229324 had a related patch set uploaded (by Santhosh):
FIX: Not able to set cursor in previous sections

https://gerrit.wikimedia.org/r/229324

santhosh claimed this task.Aug 5 2015, 5:50 AM
santhosh added a project: LE-CX6-Sprint 1.
santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.

Change 229328 had a related patch set uploaded (by KartikMistry):
FIX: Not able to set cursor in previous sections

https://gerrit.wikimedia.org/r/229328

Change 229324 merged by jenkins-bot:
FIX: Not able to set cursor in previous sections

https://gerrit.wikimedia.org/r/229324

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 5 2015, 7:06 AM
Ankit-Maity raised the priority of this task from High to Needs Triage.Aug 5 2015, 8:48 AM
Ankit-Maity triaged this task as High priority.
Ankit-Maity added a subscriber: Ankit-Maity.

Oops.

Ladsgroup edited subscribers, added: Amire80; removed: Ladsgroup.Aug 5 2015, 9:46 AM

Change 229328 merged by jenkins-bot:
FIX: Not able to set cursor in previous sections

https://gerrit.wikimedia.org/r/229328

Arrbee closed this task as Resolved.Aug 7 2015, 7:08 AM
santhosh edited a custom field.Aug 9 2015, 4:50 AM